PPPoEPacketStruct Struct Reference
Implementation internals » Device handling » PPPoE devices (DSL)

## Data Fields

struct ethhdr | ethHdr
unsigned int | ver:4
unsigned int | type:4
unsigned int | code:8
unsigned int | session:16
unsigned int | length:16
unsigned char | payload [ETH_DATA_LEN]

## Field Documentation

## code

unsigned int PPPoEPacketStruct::code

Referenced by send_padi(), and wait_for_pado().

## ethHdr

struct ethhdr PPPoEPacketStruct::ethHdr

Referenced by packet_for_me(), send_padi(), and wait_for_pado().

## length

unsigned int PPPoEPacketStruct::length

Referenced by parse_packet(), send_padi(), and wait_for_pado().

## payload

unsigned char PPPoEPacketStruct::payload[ETH_DATA_LEN]

Referenced by parse_packet(), and send_padi().

## session

unsigned int PPPoEPacketStruct::session

Referenced by send_padi().

## type

unsigned int PPPoEPacketStruct::type

Referenced by parse_packet(), and send_padi().

## ver

unsigned int PPPoEPacketStruct::ver

Referenced by parse_packet(), and send_padi().

The documentation for this struct was generated from the following file:

- pppoe.c